//+------------------------------------------------------------------
//|                                                   atr normalized 
//+------------------------------------------------------------------
#property copyright "mladen"
#property link      "www.forex-tsd.com"

#property indicator_separate_window
#property indicator_minimum 0
#property indicator_color1  PaleVioletRed
#property indicator_width1  2

extern int AtrPeriod  = 20;

//
//
//
//
//

double atr[];
double work[];

//+------------------------------------------------------------------
//|                                                                  
//+------------------------------------------------------------------
//
//
//
//
//

int init()
{
   IndicatorBuffers(2);
      SetIndexBuffer(0,atr);
      SetIndexBuffer(1,work);
   return(0);
}
int deinit()
{
   return(0);
}

//
//
//
//
//

int start()
{
   int i,limit,counted_bars=IndicatorCounted();

   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
         limit = MathMin(Bars-counted_bars,Bars-1);
   

   //
   //
   //
   //
   //
      
   for(i=limit; i>=0; i--)
   {
      work[i] = iATR(NULL,0,AtrPeriod,i);
         double max = work[ArrayMaximum(work,AtrPeriod,i)];
         double min = work[ArrayMinimum(work,AtrPeriod,i)];
         if (min!=max)
               atr[i] = 1.0-(work[i]-min)/(max-min);
         else  atr[i] = 0.5;          
   }
   return(0);
}